<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/


	include_once LAB_PATH_MODULES.'/admin_groups/functions.php';
	$module_conf=getUserGroupConf(-1);
	$mod_template="access.tpl";
	Tpl::i()->assign('modules', $module_conf);
	
	if ($_SERVER['REQUEST_METHOD']=='POST')
	{
		User::checkToken();
		updateUserGroupConf(-1, $module_conf, $_POST);
		LabCMS::i()->reset_cache('all');
		refresh('', LabCMS::i()->url(false, 'modules'));
	}